Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 605822 - dependency resolving issue with boost packages
Summary: dependency resolving issue with boost packages
Status: RESOLVED DUPLICATE of bug 554838
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-16 00:55 UTC by Lars Wendler (Polynomial-C)
Modified: 2017-01-16 01:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2017-01-16 00:55:07 UTC
Hi devs,

each time I try to upgrade boost (no matter if masked or unmasked versions) through my usual upgrade procedure "emerge -uDav @world" the dependency resolving fails with portage claiming that dev-utils/boost-build is masked which it definitely is not.
I gonna post some emerge output in followup comments to show my issue.


# emerge --info boost{,-build}
Portage 2.3.3 (python 3.5.2-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0-asneeded, glibc-2.23-r3, 4.4.43 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.43-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_820_@_1.73GHz-with-gentoo-2.3
KiB Mem:    32934236 total,  28240528 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Sun, 15 Jan 2017 19:00:01 +0000
Timestamp of repository poly-c: Sun, 15 Jan 2017 23:28:31 +0000
sh dash 0.5.9.1-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23.1::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0-r2::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /var/portage
    sync-type: rsync
    sync-uri: rsync://192.168.0.254/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 0

poly-c
    location: /var/lib/layman/poly-c
    masters: gentoo
    priority: 1

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ConsoleKit /etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/dconf /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/polkit-1 /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/usb_modeswitch.d /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n --binpkg-respect-use=n --verbose-slot-rebuilds=n --keep-going --fuzzy-search=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
INSTALL_MASK="/etc/systemd /lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /etc/init.d/functions.sh"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/opt/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dts dvd dvdr emboss encode exif fam ffmpeg firefox flac gdbm gif glamor gmp gnutls gtk iconv icu idn inotify ipv6 jpeg jpeg2k kde kipi lame lcms libinput libnotify lzma mad matroska midi mmap mmx mmxext mng modules mp3 mp4 mpeg mpfr multilib ncurses nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 quicktime readline rtmp schroedinger sdl seccomp session slang spell sse sse2 ssl startup-notification svg theora threads tiff tinfo truetype twolame udev udisks unicode upower usb vaapi vcd vdpau vorbis vpx widgets wxwidgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput synaptics" KERNEL="linux" L10N="de de-1901 en" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="r600 radeon"
USE_PYTHON="2.7 3.4"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-libs/boost-1.62.0-r1::gentoo was built with the following:
USE="-context -debug -doc icu -mpi nls python -static-libs threads -tools" ABI_X86="-32 64 -x32" PYTHON_TARGETS="python2_7 python3_4 python3_5"
CXXFLAGS="-march=native -mtune=native -O2 -pipe -std=c++14"


dev-util/boost-build-1.62.0-r1::gentoo was built with the following:
USE="-examples -python -test" ABI_X86="64" PYTHON_TARGETS="python2_7"
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2017-01-16 01:00:16 UTC
In this case I want to upgrade to the masked boost-1.63.0 version but I'd like to point out once again that I also have this issue when upgrading boost to a non-masked version:

# grep -r boost /etc/portage/
/etc/portage/package.unmask:=dev-libs/boost-1.63*
/etc/portage/package.unmask:=dev-util/boost-build-1.63*
/etc/portage/package.use:dev-libs/boost python


# emerge -uDav --backtrack=1000 --complete-graph=y --with-bdeps=y @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] virtual/ttf-fonts-1-r1::gentoo [1::gentoo] 0 KiB
[ebuild     U  ] net-dns/libidn2-0.15::gentoo [0.14::gentoo] USE="-static-libs" ABI_X86="-32 (64) (-x32)" 1461 KiB
[ebuild     U  ] net-misc/youtube-dl-2017.01.14::gentoo [2017.01.10::gentoo] USE="offensive {-test}" PYTHON_TARGETS="python2_7 python3_4 python3_5" 2460 KiB
[ebuild     U  ] x11-libs/gtkglext-1.2.0-r4::gentoo [1.2.0-r3::gentoo] USE="-debug" ABI_X86="-32 (64) (-x32)" 0 KiB
[ebuild     U  ] sys-auth/polkit-0.113-r2::gentoo [0.113-r1::gentoo] USE="(-elogind) -examples gtk introspection -jit kde nls pam (-selinux) (-systemd) {-test}" 0 KiB
[ebuild     U  ] net-misc/networkmanager-1.4.4::gentoo [1.4.4_pre::poly-c] USE="-audit -bluetooth -connection-sharing consolekit -dhclient (-dhcpcd%*) gnutls introspection -json -modemmanager ncurses -nss -ofono -ppp -resolvconf (-selinux) (-systemd) -teamd {-test} -vala -wext wifi" ABI_X86="-32 (64) (-x32)" 0 KiB
[ebuild     U  ] kde-frameworks/knewstuff-5.30.1:5/5.30::gentoo [5.30.0:5/5.30::gentoo] USE="-debug" 859 KiB

Total: 7 packages (7 upgrades), Size of downloads: 4779 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.63.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



Would you like to merge these packages? [Yes/No]


As you can see, portage claims that dev-util/boost-build-1.63.0 is masked which is plain wrong as can be seen here:


# emerge -1uav boost

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U #] dev-util/boost-build-1.63.0::gentoo [1.62.0-r1::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7" 80063 KiB
[ebuild  r  U #] dev-libs/boost-1.63.0:0/1.63.0::gentoo [1.62.0-r1:0/1.62.0::gentoo] USE="-context -debug -doc icu -mpi nls python -static-libs threads -tools" ABI_X86="-32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_4 python3_5" 0 KiB
[ebuild  rR    ] dev-libs/librevenge-0.0.4::gentoo  USE="-doc {-test}" ABI_X86="-32 (64) (-x32)" 0 KiB
[ebuild  rR    ] dev-util/mdds-1.2.2:1/1.2::gentoo  USE="-doc -valgrind" 0 KiB
[ebuild  rR    ] dev-libs/libixion-0.11.1:0/0.11::gentoo  USE="-python -static-libs" PYTHON_SINGLE_TARGET="(-python3_3%) python3_4 -python3_5" PYTHON_TARGETS="(-python3_3%) python3_4 python3_5" 0 KiB
[ebuild  rR    ] dev-libs/liborcus-0.11.2:0/0.11::gentoo  USE="-python spreadsheet-model -static-libs -tools" PYTHON_SINGLE_TARGET="python3_4 -python3_5" PYTHON_TARGETS="python3_4 python3_5" 0 KiB
[ebuild  rR    ] dev-cpp/libcmis-0.5.2_pre20160820:0.5::gentoo  USE="-man -static-libs {-test}" 0 KiB
[ebuild  rR    ] app-backup/snapper-0.4.1::gentoo  USE="btrfs -ext4 lvm pam xattr" 0 KiB
[ebuild  rR    ] media-video/mkvtoolnix-9.7.1::gentoo  USE="-curl -debug -pch qt5 {-test}" 0 KiB
[ebuild  rR    ] games-strategy/0ad-0.0.21_alpha::gentoo  USE="-editor lobby -nvtt -pch sound {-test}" 0 KiB
[ebuild  rR    ] games-strategy/wesnoth-1.12.6::gentoo  USE="dbus -dedicated -doc -fribidi nls -server" 0 KiB
[ebuild  rR    ] games-arcade/supertux-0.5.1::gentoo  USE="-debug" 0 KiB
[ebuild  rR    ] games-puzzle/pingus-0.7.6::gentoo  USE="-music opengl" 0 KiB
[ebuild  rR    ] app-office/libreoffice-5.2.4.2::gentoo  USE="(-aqua) -bluetooth branding -coinmp -collada cups dbus -debug -eds (-firebird) -gltf -gnome -googledrive gstreamer gtk -gtk3 java -jemalloc kde -libressl -mysql -odk pdfimport -postgres -quickstarter (-telepathy) {-test} -vlc" LIBREOFFICE_EXTENSIONS="-nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="-python2_7 python3_4 -python3_5" PYTHON_TARGETS="python2_7 python3_4 python3_5" 0 KiB

Total: 14 packages (2 upgrades, 12 reinstalls), Size of downloads: 80063 KiB

Would you like to merge these packages? [Yes/No]
Comment 2 Zac Medico gentoo-dev 2017-01-16 01:16:31 UTC

*** This bug has been marked as a duplicate of bug 554838 ***